
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>海量数据实时更新太慢？Lambda架构大法好！ / iVAN</title>

    <meta name="description" content="海量数据实时更新太慢？Lambda架构大法好！ 本文将主要介绍如何利用Lambda架构来跟踪数据实时更新的项目实现,以一个新闻服务功能为例. 当前股票市场的交易者可以了解丰富的股票交易信息.从金融新闻到传统的报纸和杂志再到博客和社交媒体,汇聚着海量的数据,远比股票交易者想关注的股 票信息要大得多,这就需要为股票交易者提供信息的有效过滤.这里将开发一个新闻服务功能给股票证券投资交易者使用,并为股票交易者提供个性化新闻. 这个新闻服务就叫&quot;自动获取金融新闻&quot;,输入各个数据源的金融新闻,也同时输入用户实时股票交易信息.不管何时, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">海量数据实时更新太慢？Lambda架构大法好！</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文将主要介绍如何利用Lambda架构来跟踪数据实时更新的项目实现，以一个新闻服务功能为例。</p>
<p>当前股票市场的交易者可以了解丰富的股票交易信息。从金融新闻到传统的报纸和杂志再到博客和社交媒体，汇聚着海量的数据，远比股票交易者想关注的股 票信息要大得多，这就需要为股票交易者提供信息的有效过滤。这里将开发一个新闻服务功能给股票证券投资交易者使用，并为股票交易者提供个性化新闻。</p>
<p>这个新闻服务就叫"自动获取金融新闻"，输入各个数据源的金融新闻，也同时输入用户实时股票交易信息。不管何时，在股票交易者所拥有资产证券中占比 较大的公司，它们的新闻一到达，将会显示到股票交易者的仪表板上。随着大量股票交易者进行交易，相应的交易信息会发送过来，所以希望拥有一个大数据系统来 存储所有交易者的历史交易信息作为真实数据源，然而，处理海量数据会非常慢以至于不能进行实时的数据更新。为了达到实时跟踪和维持数据结果为最新这两个要求，可以采用Lambda架构来实现。</p>
<p><strong>Lambda架构优势</strong></p>
<p>在传统SQL系统，更新一个表只是对已存在字段的值进行更改，这在少量的服务器上的数据库工作的很好，可以水平扩展到从库或者备份库。但是当数据库 扩展到大量数据服务器上时，硬件崩溃等情况下恢复数据到失败点就比较困难和耗时，而且由于历史不在数据库中，仅仅存在log日志，数据崩溃将导致一些不可见的数据错误，即脏数据。</p>
<p>而相对应地，一个分布式、多副本消息队列的大数据系统可以保证数据一旦进入系统就不会丢失，即使在硬件或者网络失败的情况下。存储更新的所有历史可 以重建真实的数据源，并能保证每次批处理之后结果正确，然而，为了在实时数据更新后得到最新完整的数据集，需要重新处理整个历史数据集，将会耗费太长的时 间。为了解决这个问题，可以在Lambda架构中增加一个实时组件，此组件只存储数据更新的当前值，可以保证快速实时得到结果，工作过程类似于传统的 SQL系统。实时处理层的脏数据将会被后续批处理覆盖掉，这个高可用、最终一致性的系统可以实现准确的结果。当前值的任何错误，实时处理层的报告，硬件或 者网络错误，数据崩溃，或者软件Bug等将会在下一次批处理时自动修复。</p>
<p><strong>自动获取金融新闻项目的数据管道</strong></p>
<p>整个数据管道流动如图1：</p>
<p><a href="http://s4.51cto.com/wyfs02/M02/7F/AA/wKiom1coPxHzDbHsAAC9Ke6675M967.jpg-wh_651x-s_1531450317.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvN0YvQUEvd0tpb20xY29QeEh6RGJIc0FBQzlLZTY2NzVNOTY3LmpwZy13aF82NTF4LXNfMTUzMTQ1MDMxNy5qcGc=.jpg"></a></p>
<p>图1</p>
<p>输入数据格式为JSON，主要来自综合交易信息和Twitter新闻。JSON格式的消息会push到Kafka，并被批处理层(batch layer)和实时处理层(real-time layer)消费。使用Kafka作为数据管道的输入起点，是因为Kafka可以保证即使在硬件或者网络失败的情况下，消息也会被传输到整个系统。</p>
<p>在批处理层，Camus(Linkin开源的项目，现已更名为Gobblin)消费所有Kafka过来的消息并保存到HDFS上，然后Spark处理所有的交易历史计算每个股票交易者持有的股票准确数量，对应的结果会写入Cassandra数据库。</p>
<p>在流式处理层，Spark Streaming实时消费Kafka消息，但并不像Storm那样完全实时，Spark Streaming可以达到500ms的micro-batch数据流处理。Spark Streaming可以重用批处理层的Spark代码，并且micro-batch数据流处理可以得到足够小的延迟。</p>
<p>批处理层和实时处理层的结果都会写入到Cassandra数据库，并通过Flask提供一个web接口服务。随着海量交易数据写入系统，Cassandra数据库的快速写入能力基本可以满足。</p>
<p><strong>如何调度实时处理层和批处理层的结果</strong></p>
<p>当最新的消息进入大数据系统，web接口提供的结果服务总能保持最新，综合批处理层和实时层的处理结果。用一个例子来展示如何简单的使用批处理结果和实时处理结果。</p>
<p>从下图2看到，有三个数据库表：一个存储批处理结果(图2中Batch表);一个存储自上次批处理完成时间点到当前时间的实时交易数据，即增量数据(图2中Real Time 2表);另外一个存储最新数据，即状态表(图2中高亮的Real Time 1表)。</p>
<p>任何软件、硬件或者网络问题引起批处理结果异常，都通过单独一个数据库表记录数据增量，并在批处理成功后更新为对应的批处理结果数来保证最终数据一致性。</p>
<p>在这个例子中，假设第一轮批处理起始时间点为t0，一个交易者做了一笔交易后获得了3M公司的5000股股票。</p>
<p><a href="http://s4.51cto.com/wyfs02/M00/7F/A8/wKioL1coP_vBoyxMAABqBmIsTqA944.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvN0YvQTgvd0tpb0wxY29QX3ZCb3l4TUFBQnFCbUlzVHFBOTQ0LmpwZw==.jpg"></a></p>
<p>图2</p>
<p>在t0时间点，批处理开始，处理完之后最新结果存储在Real Time 1表，当前值为5000股。</p>
<p><a href="http://s2.51cto.com/wyfs02/M01/7F/A8/wKioL1coQBSTDGtpAAB7FR9aaD4611.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvN0YvQTgvd0tpb0wxY29RQlNUREd0cEFBQjdGUjlhYUQ0NjExLmpwZw==.jpg"></a></p>
<p>图3</p>
<p>在批处理过程中，交易者卖掉3M公司1000股股票，Real Time 1表更新数据值为4000股，同时Real Time 2表存储从t0到当前的增量-1000股，如图4所示。</p>
<p><a href="http://s3.51cto.com/wyfs02/M02/7F/A8/wKioL1coQCeRaHwbAACF4TPcjA8812.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvN0YvQTgvd0tpb0wxY29RQ2VSYUh3YkFBQ0Y0VFBjakE4ODEyLmpwZw==.jpg"></a></p>
<p>图4</p>
<p>当批处理结束，三个表的值分别为5000，4000，-1000。这时，交换active数据库表为Real Time 2表，进行合并批处理结果和实时结果获得最新结果值。然后重置Real Time 1表为0，后续用来存储从t1时间点开始的增量数据。接下来新的一轮以存储最新数据的Real Time 2表为起点，循环前面的过程。</p>
<p><a href="http://s2.51cto.com/wyfs02/M02/7F/AA/wKiom1coP3CBgT_SAACREKMpLX8111.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvN0YvQUEvd0tpb20xY29QM0NCZ1RfU0FBQ1JFS01wTFg4MTExLmpwZw==.jpg"></a></p>
<p>图5</p>
<p><a href="http://s4.51cto.com/wyfs02/M02/7F/AA/wKiom1coP4iDMsgqAAB995D_wE8459.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvN0YvQUEvd0tpb20xY29QNGlETXNncUFBQjk5NURfd0U4NDU5LmpwZw==.jpg"></a></p>
<p>图6</p>
<p><a href="http://s1.51cto.com/wyfs02/M01/7F/AA/wKiom1coP6nQ0PDiAAB5VdAf4to631.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvN0YvQUEvd0tpb20xY29QNm5RMFBEaUFBQjVWZEFmNHRvNjMxLmpwZw==.jpg"></a></p>
<p>图7</p>
<p>以上每步处理过程完全成功并写入数据库，可以保证展示给交易者的数据准确性。数据集 处理时间取决于数据集大小，处理任务的计划按序处理而不是按自然天时间。在一个系统中需要工作流支持复杂处理、多任务依赖和资源共享。这里采用 Airbnb的项目Airflow，可以调度程序和监控工作流。Airflow把task和上游各种依赖构建成一个有向无环图(DAG)，基于 Python实现，可以把多个任务写成Bash脚本，Bash命令能直接调用任何模块，并且Bash脚本可以被Airflow使用，这样使得 Airflow易操作。Airflow编程接口比基于XML配置的调度系统Oozie简单;Airflow的Bash脚本编码量比Luigi要少很多，Luigi的每个job都是一个python工程。每步合并实时和批量数据的job运行都是前一步成功完成退出后。</p>
<p>最后简单总结一下，Lambda架构涉及批量处理层和实时处理层处理历史数据以及实时更新的数据。 为了Lambda架构的实现切实可行，数据处理要设计成批处理层和实时处理层结合。本项目中，有一个“备用”数据库表专门用来存储输入的总数，而不从批处 理层读取数据，并允许对批处理层和实时处理层的结果进行简单的聚合。以上就是用Lambda架构实现的一个高可用、高数据最终一致性的系统。</p>
<p>本文作者：侠天</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 16:12:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e5%8f%af%e7%94%a8/" title="高可用">高可用</a>, <a href="https://www.iamivan.net/tag/spark/" title="spark">spark</a>, <a href="https://www.iamivan.net/tag/%e6%b5%b7%e9%87%8f%e6%95%b0%e6%8d%ae/" title="海量数据">海量数据</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e4%bd%9c%e6%b5%81/" title="工作流">工作流</a>, <a href="https://www.iamivan.net/tag/cassandra/" title="Cassandra">Cassandra</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>海量数据实时更新太慢？Lambda架构大法好！的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2KXOz.html" rel="bookmark">用于实时大数据处理的Lambda架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Lambda架构背景介绍Lambda架构是由Storm的作者Nathan Marz提出的一个实时大数据处理框架.Marz在Twitter工作期间开发了著名的实时大数据处理框架Storm,Lambda架构是其根据多年进行分布式大数据系统的经验总结提炼而成.Lambda架构的目标是设计出一个能满足实时大数据系统关键特性的架构,包括有:高容错.低延时和可扩展等.Lambda架构整合离线计算和实时计算,融合不可变性(Immunability),读写分离和复杂性隔离等一系列架构原则,可集成Hadoop			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2P7Zkp.html" rel="bookmark">Kappa&colon;比Lambda更好更灵活的实时处理架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章中分析Lambda三层结构模型的适用场景,同时暴露出Lambda架构一个最明显的问题:它需要维护两套分别跑在批处理和实时计算系统上面的代码,而且这两套代码需要产出一致的结果.根据对此缺点的分析,我们引出当时还在LinkedIn的大神Jay Kreps提出的Kappa架构,本文会对Kappa架构原理进行介绍,并讨论两个架构的优缺点,最后给出一个Kappa架构的案例分析. 对Lambda架构不熟悉或者希望了解Lambda架构应用案例的读者,请回顾历史文章中的&lt;深入浅出解析大数据Lambda架			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJmw6M.html" rel="bookmark">【Hadoop Summit Tokyo 2016】使用基于Lambda架构的Spark的近实时的网络异常检测和流量分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本讲义出自Pankaj Rastogi与Debasish Das在Hadoop Summit Tokyo 2016上的演讲,主要分享了网络数据相关知识.网络异常DDoS攻击以及使用基于Lambda架构的Spark的近实时的网络异常检测和流量分析的架构设计,并分享了Trapezium的相关概念.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7BoZz.html" rel="bookmark">海量数据实时计算利器Tec</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子 在刚刚过去的2015年双11大促中,搜索事业部的实时计算和在线学习系统Pora经受住了前所未有的双11巨量用户行为消息的冲击,在流入实时消息量持续超过300w/s,甚至峰值飙升至501w/s的压力下始终保持了端到端秒级实时效果,助力相关的搜索和推荐实时业务取得了很好的效果. Pora如何能在如此巨大的压力下不延迟?除了其在业务层面所做的种种优化以及集群层面的有力支持外,与其核心层Tec的设计实现是分不开的. 另一条完全不同的战线上,AliExpress(AE)搜索的离线数据库Dump业务在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJeGd6p.html" rel="bookmark">使用Apache Spar 的Lambda架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				市场上很多玩家已经建造了MapReduce工作流用来日常处理兆兆字节的历史数据.但是谁愿意等待24小时来拿到更新后的分析报告?这篇博客会向你介绍Lambda Architecture,它被设计出来既可以利用批量处理方法,也可以使用流式处理方法.这样我们就可以利用Apache Spark(核心, SQL, 流),Apache Parquet,Twitter Stream等工具处理实时流式数据,实现对历史数据的快速访问.代码简洁干净,而且附上直接明了的示例! Apache Hadoop: 简要历史			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Ae3ob.html" rel="bookmark">【Spark Summit East 2017】WalmartLabs近实时搜索索引的Lambda处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本讲义出自Snehal Nagmote在Spark Summit East 2017上的演讲,WalmartLabs每天都在获取数以百万计的产品信息,为了寻求为客户提供无缝的购物体验,WalmartLabs开发了接近实时索引的数据管道,该数据管道是动态更新产品目录以及其他特性的关键的组件.演讲中还分享了WalmartLabs的实时搜索索引的Lambda处理方法以及如何对于数据管道进行自动部署.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgy33Oz.html" rel="bookmark">【Spark Summit EU 2016】物联网中的Lambda架构&mdash;&mdash;使用Spark Streaming与MLlib进行快速数据分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本讲义出自Bas Geerdink在Spark Summit EU 2016上的演讲,主要介绍了物联网时代新的数据形式.新的用例.新的技术以及新的挑战,并介绍了什么是快速数据以及什么是大数据,并详细地介绍了物联网中的Lambda架构,流处理和批处理的相关内容以及如何使用Spark Streaming与MLlib进行快速数据分析.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVaPymp.html" rel="bookmark">云存储让海量数据产生更大价值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				企业数据急剧膨胀,海量存储挑战愈加严峻.对于各类行业的用户而言,爆炸性增长的海量数据正如潮水般地冲击着他们的存储系统.同时,各行业对于数据的安全性要求也越来越高.特别是视频监控.高性能计算等行业,不仅对存储系统的容量.可靠性需求日益提高,而且对于传输带宽也提出了更高的要求. 面对不断增长的数据,传统的存储架构由于扩展性较差,当用户容量及性能需求增加时,只能一味地添加高端存储设备.长此以往,存储环境就会变得日益复杂,管理和运营成本更高,并造成了过高的能源消耗.同时,过于复杂的存储架构和备份方式也很			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQ6KVp.html" rel="bookmark">日处理20亿数据，实时用户行为服务系统架构实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				携程实时用户行为服务作为基础服务,目前普遍应用在多个场景中,比如猜你喜欢(携程的推荐系统).动态广告.用户画像.浏览历史等等. 以猜你喜欢为例,猜你喜欢为应用内用户提供潜在选项,提高成交效率.旅行是一项综合性的需求,用户往往需要不止一个产品.作为一站式的旅游服务平台,跨业务线的推荐,特别是实时推荐,能实际满足用户的需求,因此在上游提供打通各业务线之间的用户行为数据有很大的必要性. 携程原有的实时用户行为系统存在一些问题,包括:1)数据覆盖不全:2)数据输出没有统一格式,对众多使用方提高了接入成本			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7lVmM.html" rel="bookmark" class="title">介绍JDesktop Integration Components</a>
					<div>
						用JDIC在桌面应用程序中集成本机操作系统特性 简介:本文将介绍 JDesktop Integration Components (JDIC),这是一个 开源的项目,目的是构建消除本机应用程序和 Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKjB9p.html" rel="bookmark" class="title">使用Eclipse RCP进行桌面程序开发（一）：快速起步</a>
					<div>
						所谓RCP,就是Rich Client Platform的缩写,即富客户平台,是Eclipse进化的产物(自 3.0版以后出现),是Eclipse组织向用户提供的强大的开放性开发平台,能够使用户方便地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7KdVM.html" rel="bookmark" class="title">IE11打开网页时总是未有响应怎么解决</a>
					<div>
						  有些时候使用ie11浏览器时,总是碰到ie11浏览器出现无响应或者不管打开什么网站都是404报错,这时就很有可能是ie11浏览器设置的问题了,那么要怎么办了,其实很简单,把ie11浏览器的设置重置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOLLYb.html" rel="bookmark" class="title">php中stdClass的用法分析</a>
					<div>
						 这篇文章主要介绍了php中stdClass的用法,实例分析了stdClass的功能及使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例分析了php中stdClass的用法.分享给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4BJ0p.html" rel="bookmark" class="title">中华通网络电话包月卡使用说明</a>
					<div>
						  套餐说明: 1.有效期是将卡号和密码登陆到软件激活后当天起30天内使用有效,全天24小时可拨打中国大陆电话. 2.此服务为特惠通话套餐的帐号卡,是将卡号和卡密提出后登陆到软件使用,不可做充值用途, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwA8lb.html" rel="bookmark" class="title">win7开始菜单怎么没运行？</a>
					<div>
						在win7旗舰版中,运行功能让我们可以很方便的使用命令来打开程序,通常我们可以在开始菜单-运行来启动他,不过有的用户发现在64位win7旗舰版下载安装后发现自己的开始菜单中并没有运行选项,这样的情况该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywDqZz.html" rel="bookmark" class="title">电脑宽带路由器的故障解决</a>
					<div>
						  1.使用宽带路由器方式共享上网频繁掉线 电脑故障现象:一个4台计算机的局域网络通过宽带路由器共享ADSL,其中一台计算机最近出现每隔一段时间就会断线又自动重连的问题. 电脑故障维修:能够连接网络只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6768b.html" rel="bookmark" class="title">联合办公WeWork在香港做装修，空间设计灵感源自城市街景</a>
					<div>
						美国联合办公空间初创企业 WeWork 最近在亚洲扩张迅速.继去年在上海.北京连续开设三家后,今年又先后在香港铜锣湾和湾仔开放了两处联合办公空间. 在香港的第一站,WeWork 落脚在了铜锣湾今年刚落 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My33ykz.html" rel="bookmark" class="title">物联网技术对智能远程医疗的影响</a>
					<div>
						我国的远程医疗系统起步较晚,但发展速度较快,受重视程度较高.随着社会经济的不断发展以及医疗水平和居民生活水平的不断提高,远程医疗的需求将会不断扩大.我国医疗卫生行业积极借助物联网技术,推动个性化医疗服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YjW4M.html" rel="bookmark" class="title">莱斯信道matlab建模</a>
					<div>
						Rice分布的随机变量h可以建模为 h = 直射分量 +  rayleigh随机变量 首先确定K因子,即直射分量(常数)与rayleigh随机变量的能量比 K = 直射分量能量/rayleigh能量  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YJxRM.html" rel="bookmark" class="title">MaxCompute UDF系列之身份证校验及15位身份证号码转换成18位</a>
					<div>
						为了验证一些老证件上的身份证号码到底是不是本人,今天为大家提供一个15位身份证号码转换成18位的MaxCompute的UDF,下载地址见附件. 效果如下: MaxCompute UDF代码如下: /* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7oykz.html" rel="bookmark" class="title">android 自定义Viewpager实现无限循环</a>
					<div>
						 前言:经常会看到有一些app的banner界面可以实现循环播放多个广告图片和手动滑动循环.本以为单纯的ViewPager就可以实现这些功能.但是蛋疼的事情来了,ViewPager并不支持循环翻页.所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk66vb.html" rel="bookmark" class="title">面向对象编程实例</a>
					<div>
						        上一篇博客主要是在理论上介绍面向对象编程,下面通过一个计算器的实例来学习面向对象的好处.        按照面向对象的三大特征:        1.封装         对事物的状态和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWLoWp.html" rel="bookmark" class="title">冲突-c&plus;&plus;boost库编译出问题</a>
					<div>
						问题描述 c++boost库编译出问题 1&gt; Assuming _WIN32_WINNT=0x0501 (i.e. Windows XP target).1&gt;libboost_thread ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NrNNM.html" rel="bookmark" class="title">openwrt怎么发送组播到wireless</a>
					<div>
						问题描述 openwrt怎么发送组播到wireless openwrt上有个程序,从外部USB设备读取到数据,然后想发送组播到wifi网络,怎么做?现在都发送到wan口连接的局域网中了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN5QYz.html" rel="bookmark" class="title">使用xfire报错，请教下大神们怎样解决，报错信息已经贴出</a>
					<div>
						问题描述 10-1317:26:46.149ERROR[DefaultFaultHandler.java:35]Faultoccurred!org.codehaus.xfire.XFireRuntim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKV58b.html" rel="bookmark" class="title">NetApp大换装：FAS和ONTAP双双升级</a>
					<div>
						NetApp已经全面更新了自己全闪存的FAS阵列和混合型HFAS阵列,提高了性能.容量和可扩展性,并支持32Gbit/s光纤通道和40GbitE连接性.此外NetApp还升级了ONTAP,让ONTAP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmvY6b.html" rel="bookmark" class="title">使用exchange方式切换普通表到分区表</a>
					<div>
						      随着数据库数据量的不断增长,有些表需要由普通的堆表转换为分区表的模式.有几种不同的方法来对此进行操作,诸如导出表数据,然后创建分区表再导入数据到分区表:使用EXCHANGE PARTITI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydZl5b.html" rel="bookmark" class="title">什么是FPGA？FPGA是什么？</a>
					<div>
						FPGA是英文Field Programmable Gate Array的缩写,即现场可编程门阵列,它是在可编程阵列逻辑PAL(Programmable Array Logic).门阵列逻辑GAL(G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94oldb.html" rel="bookmark" class="title">分布式通讯优化篇 &ndash; IRQ affinity</a>
					<div>
						      在一次C500K性能压测过程中,发现一个问题:8 processor的CPU,负载基本集中在CPU0,并且负载达到70以上,并通过mpstat发现CPU0每秒总中断(%irq+%soft) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mynp.html" rel="bookmark" class="title">手机游戏市场谋定而后动</a>
					<div>
						很多咨询机构以及专家都预测随着3G时代的到来,手机游戏前景可观. 很多咨询机构以及专家都预测随着3G时代的到来,手机游戏前景可观.但到现在为止,手机游戏行业的盈利点在哪仍然不清晰,这使得众多游戏企业纷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNRVKM.html" rel="bookmark" class="title">android-能将一个java监听器分离成给他自己的函数么？</a>
					<div>
						问题描述 能将一个java监听器分离成给他自己的函数么? 我能将set-listener那一行分成小行么? 这是我现在的代码: protected void onCreate(Bundle saved ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqJ7Ob.html" rel="bookmark" class="title">这个杀毒软件真的8错，推荐试用！</a>
					<div>
						问题描述 近两年很少用杀软,去年用过一次卡巴斯基,把我电脑上装着的超级兔子给删了,于是就没再安过.这次也是因为电脑有些卡,估计中病毒了,才想到要装一个诺顿360全能特警4.0.感觉这款杀软还不错,所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ4alp.html" rel="bookmark" class="title">甲骨文第一财季净赚13&period;5亿美元</a>
					<div>
						据国外媒体报道,甲骨文周四公布了2011财年第一季度财报.该季度甲骨文实现总营收75亿美元,同比增长48%;实现净利润13.5亿美元合每股收益27美分,同比增长20%.营收和净利润数字双超分析师预期. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEjW3z.html" rel="bookmark" class="title">江西移动通话质量投诉量下降</a>
					<div>
						通讯员 胡颖琳 记者 王席传 本报讯 近日,中国移动江西公司针对网络话音质量不高的情况,多管齐下积极开展网络质量专项整治,经过4个月的优化调整,网络质量和客户感知均得到显著提升, 通话质量从97.30 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdnQkM.html" rel="bookmark" class="title">cxf根据wsdl文件静态生成客户端代码的问题，求高手赐教</a>
					<div>
						问题描述 1.在官网下载了一个cxf2.3.9的文件2.配置环境变量CXF_HOME:D:JavaBeanapache-cxf-2.3.9;JAVA_HOME:D:JavaBeanjdk;CLASSP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByGKdz.html" rel="bookmark" class="title">网商代金券使用限制多：需警惕无底洞式消费</a>
					<div>
						从诞生开始,电子商务就是以一种较之传统商业更为先进的业态出现的,更低的价格和更便利的消费,从而形成更具吸引力的消费.不过,几年前曾在传统百货商场盛行的&quot;返券&quot;营销被叫停后,现在这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YaXAb.html" rel="bookmark" class="title">智能家居品牌互联互通仍是梦</a>
					<div>
						摘要: 在CES开展前,智能家居一直倍受关注,但让人遗憾的是,它并没有借助CES大放异彩.无论是三星.LG还是海尔.海信.长虹,参展的企业更侧重展示电视机.冰箱.洗衣机等产品功能的 在CES开展前,智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmvvOp.html" rel="bookmark" class="title">网银服务频频遭投诉技术系统落后难便民</a>
					<div>
						广州部分银行的网银服务频频遭投诉 消费者反映不支持IE6.难调限额等 随着金融市场的发展,网银成为方便用户的利器,也成为多家银行争相竞夺的战场,但广州市民许先生最近遇到了十分头疼的问题,其广州银行网银 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA4Vqp.html" rel="bookmark" class="title">快递员薪酬几何？最恨秒杀促销</a>
					<div>
						网购春运的到来,的确让按件取酬的快递员收入有所增长,但多家快递公司昨日辟谣称,快递员单靠派件.取件肯定挣不到一万五. 普通快递员月入三千 有一条微博被广为转载:&quot;刚才快递员在我公司发飙了:' ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
